%define upstream_name	 Gtk3-WebKit
%define	upstream_version 0.06

%define perl_glib_require 1.240
%define gtk_require 2.22.1

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 1

Summary:    Perl module for the webkit-3.x library
License:    LGPLv2+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.xz

BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Glib::Object::Introspection)
BuildRequires: perl(Gtk3)
BuildRequires: perl(Test::NeedsDisplay)
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends >= 0.300
BuildRequires: perl-ExtUtils-PkgConfig >= 1.03
BuildRequires: perl-Glib-Object-Introspection >= 0.002
BuildRequires: pkgconfig(gobject-introspection-1.0)
Requires:  webkitgtk3

%description
This module provides the Perl bindings for the Gtk port of WebKit.

WebKit is a web content engine, derived from KHTML and KJS from KDE, and used
primarily in Apple's Safari browser and Google's Chrome browser. It is made to
be embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It also
supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%__perl Makefile.PL INSTALLDIRS=vendor

%build
%make OPTIMIZE="%{optflags}"

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc COPYING Changes LICENSE META.yml README examples
%{perl_vendorlib}/Gtk3/WebKit*
%_mandir/*/*


%changelog
* Mon Mar 30 2015 bb <bb> 0.06-1pclos2015
- import from france
